A5:SQL Mk-2

開発のこと、日々のこと

V2.13.2でDb2接続できない

ホーム フォーラム A5:SQL Mk-2掲示板 V2.13.2でDb2接続できない

このトピックには3件の返信が含まれ、2人の参加者がいます。2 週間前 松原正和 さんが最後の更新を行いました。

4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • 投稿者
    投稿
  • #2654 返信

    iccho

    いつも活用させていただいております。

    バージョン2.13.2にアップデートしたら、IBM Db2(ODBC経由)のデータベース接続時に以下のエラーが出るようになりました。
    2.12.3では接続できています。

    インストールされているDb2はV11.1です。

    #2657 返信

    松原正和
    キーマスター

    icchoさんこんにちは。

    もしかしたらですが、32bit/64bitの違いなどありませんでしょうか?。

    インストールされている Db2クライアントのビット数と同じビット数のA5:SQL Mk-2を使っているか確認してください。

    #2661 返信

    iccho

    改めて、旧バージョンのリンクから「Version 2.12.3」の「32bit 通常版」「64bit 通常版」、Vectorのリンクから「2.13.2」の「x86 edition」「x64 edition」をダウンロードし、それぞれ起動して設定ファイル(ポータブルモード)を選択しDB追加して試してみましたが、「2.13.2」の「x64 edition」だけ上記のエラーになりました。

    とりあえず「x86 edition」を使います。

    #2687 返信

    松原正和
    キーマスター

    icchoさんこんにちは。

    改めて調査したのですが、システムエラー 1114はビット数の違いではないようです。ただ、自分の環境では64bit版でも接続できているので少々不明です。

    ODBCドライバのDLLのロードに失敗しているようですが…良く分かりません。

    とりあえず、32bit版を使って回避していただけるとありがたいです。

4件の投稿を表示中 - 1 - 4件目 (全4件中)
返信先: V2.13.2でDb2接続できない
あなたの情報:




コメントは受け付けていません。